> ## Documentation Index
> Fetch the complete documentation index at: https://docs.capedigital.co.ke/llms.txt
> Use this file to discover all available pages before exploring further.

# Abort Multipart Upload



## OpenAPI

````yaml /openapi/document.yaml delete /api/v1/documents/multipart/{document_id}
openapi: 3.1.0
info:
  title: Document Service
  description: Centralised document management system.
  version: 1.0.0
servers:
  - url: https://api.diginacape.co.ke/documents
    description: Production
security: []
paths:
  /api/v1/documents/multipart/{document_id}:
    delete:
      tags:
        - Documents
        - Multipart
      summary: Abort Multipart Upload
      operationId: abort_multipart_upload_api_v1_documents_multipart__document_id__delete
      parameters:
        - name: document_id
          in: path
          required: true
          schema:
            type: string
            title: Document Id
        - name: upload_id
          in: query
          required: true
          schema:
            type: string
            title: Upload Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````